/*
 * $Id: Test8View.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2004-2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/04/23
 */
package feat2.testapp.test8;

import feat2.CommandContext;
import feat2.View;
import feat2.config.ViewConfig;
import feat2.template.HTMLDocument;

public class Test8View implements View {

    private long elapse;

    public HTMLDocument format(HTMLDocument template, ViewConfig cfg,
            CommandContext ctx) throws Exception {

        template.findElement("time").setText(Long.toString(elapse));

        return template;
    }

    public void setElapse(long elapse) {
        this.elapse = elapse;
    }

}
